#include "States/GameState.h"

GameState::GameState(IStateManager& state_manager, const sf::VideoMode& video_mode, const std::string& window_title):
        IWindowKeeper(video_mode, window_title), IState(state_manager) {}

void GameState::set_maze(Maze&& maze) {
    m_maze = std::move(maze);
}

void GameState::set_context(GameContext&& context) {
    m_context_manager.reset(std::move(context));
}